package test.org.seasar.framework.util;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.seasar.framework.util.TextUtil;

public class TextUtilTest extends TestCase {

	public TextUtilTest(String name) {
		super(name);
	}

	public void testReadText() throws Exception {
		String path = getClass().getPackage().getName().replace('.', '/') +
			"/hoge.txt";
		String expected = "aaa" + System.getProperty("line.separator") + "bbb";
		assertEquals("1", expected, TextUtil.readText(path));
	}

	protected void setUp() throws Exception {
	}

	protected void tearDown() throws Exception {
	}

	public static Test suite() {
		return new TestSuite(TextUtilTest.class);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.main(
			new String[] { TextUtilTest.class.getName()});
	}
}
